Loading...
Searching...
No Matches
AttributeDetail< VDBGridType > Class Template Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

Inheritance diagram for AttributeDetail< VDBGridType >:

## Public Types

using | ValueType = typename VDBGridType::ValueType
using | Ptr = std::shared_ptr<AttributeDetailBase>

## Public Member Functions

| AttributeDetail (openvdb::GridBase::Ptr grid, const GA_Attribute *attribute, const GA_AIFTuple *tupleAIF, const int tupleIndex, const bool isVector=false)
void | set (const openvdb::Coord &ijk, const GA_Offset(&offsets)[3], const openvdb::Vec3d &weights) override
void | set (const openvdb::Coord &ijk, GA_Offset offset) override
openvdb::GridBase::Ptr & | grid () override
std::string & | name () override
AttributeDetailBase::Ptr | copy () override

## Protected Member Functions

| AttributeDetail ()

## Member Typedef Documentation

## Ptr

using Ptr = std::shared_ptr<AttributeDetailBase>

inherited

## ValueType

template<class VDBGridType>

using ValueType = typename VDBGridType::ValueType

## Constructor & Destructor Documentation

## AttributeDetail() [1/2]

template<class VDBGridType>

AttributeDetail | ( | openvdb::GridBase::Ptr | grid,
|  | const GA_Attribute * | attribute,
|  | const GA_AIFTuple * | tupleAIF,
|  | const int | tupleIndex,
|  | const bool | isVector = false )

## AttributeDetail() [2/2]

template<class VDBGridType>

AttributeDetail | ( |  | ) |

protected

## Member Function Documentation

## copy()

template<class VDBGridType>

AttributeDetailBase::Ptr copy | ( |  | ) |

override virtual

Implements AttributeDetailBase.

## grid()

template<class VDBGridType>

openvdb::GridBase::Ptr & grid | ( |  | ) |

inline override virtual

Implements AttributeDetailBase.

## name()

template<class VDBGridType>

std::string & name | ( |  | ) |

inline override virtual

Implements AttributeDetailBase.

## set() [1/2]

template<class VDBGridType>

void set | ( | const openvdb::Coord & | ijk,
|  | const GA_Offset(&) | offsets[3],
|  | const openvdb::Vec3d & | weights )

override virtual

Implements AttributeDetailBase.

## set() [2/2]

template<class VDBGridType>

void set | ( | const openvdb::Coord & | ijk,
|  | GA_Offset | offset )

override virtual

Implements AttributeDetailBase.